import { ActiveHashRecord, Queryable } from "activehashie";
import { ActiveHashValidation } from "./active_hash_validation";
/** 個別モデルのバリデーションエラーレポート */
export interface ModelValidationErrorReport<Record extends ActiveHashRecord> {
    /** カラム */
    column?: keyof Record;
    /** ID */
    ids?: number[];
    /** エラーメッセージ */
    message: string;
}
/** 個別モデルのバリデーションエラーレポート群 */
export declare class ModelValidationErrorReports<Record extends ActiveHashRecord> {
    private model;
    private validation;
    /**
     * コンストラクタ
     * @param model 適用するモデル
     * @param validation バリデーション情報を管理するオブジェクト
     */
    constructor(model: Queryable<Record>, validation: ActiveHashValidation);
    /**
     * 個別モデルのバリデーションエラーレポートを追加する
     * @param reports 個別モデルのバリデーションエラーレポート
     */
    push(...reports: Array<ModelValidationErrorReport<Record>>): void;
}
